For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all release templates
      • POSTCreate a release template
      • GETGet a release template
      • PUTUpdate a release template
      • DELDelete a release template
      • POSTArchive a release template
      • POSTAdd a milestone
      • PUTUpdate a milestone
      • DELRemove a milestone
      • POSTAdd a strategy to milestone
      • PUTUpdate milestone strategy
      • DELRemove milestone strategy
      • GETGet release plans
      • POSTAdd a release plan
      • DELRemove a release plan
      • POSTStart a milestone

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIRelease templates

Update milestone strategy

Deprecated
||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/release-plan-templates/:templateId/milestones/:milestoneId/strategies/:strategyId
PUT
/api/admin/release-plan-templates/:templateId/milestones/:milestoneId/strategies/:strategyId
$curl -X PUT https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId \
> -H "Authorization: <apiKey>"
1{
2 "id": "01JB9GGTGQYEQ9D40R17T3YVW3",
3 "milestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
4 "sortOrder": 9999,
5 "name": "flexibleRollout",
6 "strategyName": "flexibleRollout",
7 "title": "Gradual Rollout 25-Prod",
8 "parameters": {
9 "groupId": "some_new",
10 "rollout": "25",
11 "stickiness": "sessionId"
12 },
13 "constraints": [
14 {
15 "contextName": "appName",
16 "operator": "IN",
17 "caseInsensitive": false,
18 "inverted": false,
19 "values": [
20 "1",
21 "2"
22 ]
23 }
24 ],
25 "variants": [
26 {
27 "name": "blue_group",
28 "weight": 1,
29 "weightType": "fix",
30 "stickiness": "custom.context.field",
31 "payload": {
32 "type": "json",
33 "value": "{\"color\": \"red\"}"
34 }
35 }
36 ],
37 "segments": [
38 1,
39 2
40 ],
41 "disabled": false
42}

Enterprise feature

Overwrites existing strategy configuration for the strategy referenced by the id

Was this page helpful?
Previous

Remove milestone strategy

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

templateIdstringRequired
milestoneIdstringRequired
strategyIdstringRequired

Response

#/components/schemas/releasePlanMilestoneStrategySchema

idstring
The milestone strategy's ID. Milestone strategy IDs are ulids.
milestoneIdstring
The ID of the milestone that this strategy belongs to.
sortOrderdouble
The order of the strategy in the list
namestring
The name of the strategy type
strategyNamestringDeprecated
The name of the strategy type
titlestring or null
A descriptive title for the strategy
parametersmap from strings to strings
An object containing the parameters for the strategy
constraintslist of objects

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objects
Strategy level variants
segmentslist of doubles
Ids of segments to use for this strategy
disabledboolean or null
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error